#include <stdio.h>
#include <mysql/mysql.h>
#include <lcd.h>
#include <unistd.h>
#include <wiringPi.h>
#include <stdlib.h>
#include <time.h>

#define TRUE 1
#define HOST "localhost"//ip
#define USER "root"//usuário
#define PASS "pi"//senha
#define DB "projeto_embarcados"//nome da database
#define PORTA 0

int HW=10, ID=0;
char LAB[10] = "B101";
char data[32];
char hora[32], temp[255];
char *aux[10];

int main(char *argv[]){
    int fd=0;
    wiringPiSetup();
    fd=lcdInit (2, 16, 4, 0, 2, 3, 12, 13, 14, 0, 0, 0, 0);
    lcdHome(fd);
	while(TRUE){
        	time_t t =time(NULL);
        	struct tm tm= *localtime(&t);
		sprintf(hora,"[%.02d:%.02d:%.02d][%s]", tm.tm_hour, tm.tm_min, tm.tm_sec, LAB);
        	sprintf(data,"[%.02d/%.02d/%.02d]  [%.02d]",tm.tm_mday+1, tm.tm_mon+1, tm.tm_year-100, HW);
		lcdPosition (fd, 0,0) ; lcdPuts (fd,data);
        	lcdPosition (fd, 0,1) ; lcdPuts (fd,hora);
		busca(fd);
		sleep(1);
	}
    return 0;
}

void printLCD(MYSQL conexao, int fd){
	sprintf(temp,"UPDATE tabela_embarcados SET STATUS = 0 where ID = %d",ID);
	printf("%s \n %s \n", aux[0] ,aux[1]);
    	lcdClear(fd);
	lcdPosition (fd, 0,0) ; lcdPuts (fd,aux[0]);
	lcdPosition (fd, 0,1) ; lcdPuts (fd,aux[1]);
	mysql_query(&conexao, temp);
}

int busca(int fd){
	MYSQL conexao;
    	MYSQL_RES *resp;
    	MYSQL_ROW linhas;
    	MYSQL_FIELD *campos;
    	char query[]="SELECT * FROM tabela_embarcados;";//tabela_embarcados é o nome da tabela
    	int i;
    	mysql_init(&conexao);
    	if (mysql_real_connect(&conexao,HOST,USER,PASS,DB,PORTA,NULL,0)){
        	printf("Conectado com Sucesso!\n");
        	if (mysql_query(&conexao,query))
        	    printf("Erro: %s\n",mysql_error(&conexao));
        	else{
        	    resp = mysql_store_result(&conexao);//recebe a consulta
        	    if (resp){
        	        while ((linhas=mysql_fetch_row(resp)) != NULL){
        	            for (i=0; i<mysql_num_fields(resp); i++){
        	                if(atoi(linhas[4])==1){
        	                    ID=atoi(linhas[0]);
        	                    aux[0]=linhas[2];
        	                    aux[1]=linhas[3];
        	                    printLCD(conexao, fd);
        	                    break;
        	                }
        	            }
        	        }
        	    }
        	    mysql_free_result(resp);
        	}
        	mysql_close(&conexao);
    	}	
    	else{
	        printf("Conexao Falhou\n");
	        if (mysql_errno(&conexao)){
	            printf("Erro %d : %s\n", mysql_errno(&conexao), mysql_error(&conexao));
	        }
	    }
	return 0;
}

