#include <stdio.h>
#include <mysql/mysql.h>
#include <lcd.h>
#include <unistd.h>
#include <wiringPi.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

#define tempoTela = 15;//tempo em que a mensagem ficara na tabela (em segundos)
#define TRUE 1
#define HOST "localhost"//ip
#define USER "root"//usurio
#define PASS "pi"//senha
#define DB "projeto_embarcados"//nome da database
#define PORTA 0

int HW=10, ID=0;
char LAB[10] = "B101";
char data[32];
char hora[32], temp[255];
char *aux[10];

int main(char *argv[]){
   	int fd=0;
  	wiringPiSetup();
    	fd=lcdInit (2, 16, 4, 0, 2, 3, 12, 13, 14, 0, 0, 0, 0);
    	lcdHome(fd);
	while(TRUE){
        	time_t t =time(NULL);
    		struct tm tm= *localtime(&t);
		sprintf(hora,"[%.02d:%.02d:%.02d][%s]", tm.tm_hour, tm.tm_min, tm.tm_sec, LAB);
	        sprintf(data,"[%.02d/%.02d/%.02d]  [%.02d]",tm.tm_mday+1, tm.tm_mon+1, tm.tm_year-100, HW);
		lcdPosition (fd, 0,0) ; lcdPuts (fd,data);
  		lcdPosition (fd, 0,1) ; lcdPuts (fd,hora);
		sleep(1);
		busca(fd);
	}
	return 0;
}

int scroll(int fd, char linha1[], char linha2[]){//da scroll de 1 passo na mensagem
	int i, j;
	double tempo = 0;
	char space[4] = "    ";
	char buffer1[256] = "";
	char buffer2[256] = "";
	strcat(buffer1, linha1);
	strcat(buffer2, linha2);
	strcat(buffer1, space);
	strcat(buffer2, space);

	char saida[100], aux1[100], aux2[100];
		if(strlen(linha1) > 16 && strlen(linha2) > 16){
			while(tempo < 30){
				char deb = buffer1[0];
				char deb2 = buffer2[0];
				for(i = 0; i<strlen(buffer1); i++){
				 	buffer1[i] = buffer1[i+1];
				}	
				for(i = 0; i<strlen(buffer2); i++){
				 	buffer2[i] = buffer2[i+1];
				}
				buffer1[strlen(buffer1)] = deb;
				buffer2[strlen(buffer2)] = deb2;
				strncpy(aux1,buffer1,16);
				strncpy(aux2,buffer2,16);
				aux1[16] = '\0';
				aux2[16] = '\0';
				printf("%s\n",aux1);
				printf("%s\n",aux2);
				lcdClear(fd);
				lcdPosition (fd, 0,0) ; lcdPuts (fd,aux1);
			  	lcdPosition (fd, 0,1) ; lcdPuts (fd,aux2);
				tempo += 0.5;
				usleep(500000);
			}
		}
		else if(strlen(linha1) > 16){
			strcpy(aux2, linha2);
			while(tempo < 30){
				char deb = buffer1[0];
				for(i = 0; i<strlen(buffer1); i++){
					buffer1[i] = buffer1[i+1];
				}
				buffer1[strlen(buffer1)] = deb;
				strncpy(aux1,buffer1,16);
				aux1[16] = '\0';
				printf("%s\n",aux1);
				printf("%s\n",aux2);
				lcdClear(fd);
				lcdPosition (fd, 0,0) ; lcdPuts (fd,aux1);
		  		lcdPosition (fd, 0,1) ; lcdPuts (fd,aux2);	
				tempo += 0.5;
				usleep(500000);
			}	
		}
		else if(strlen(linha2) > 16){
			strcpy(aux1, linha1);
			while(tempo < 30){
				char deb = buffer2[0];
				for(i = 0; i<strlen(buffer2); i++){
					buffer2[i] = buffer2[i+1];
				}
				buffer2[strlen(buffer2)] = deb;
				strncpy(aux2,buffer2,16);
				aux2[16] = '\0';
				printf("%s\n",aux1);
				printf("%s\n",aux2);
				lcdClear(fd);
				lcdPosition (fd, 0,0) ; lcdPuts (fd,aux1);
			  	lcdPosition (fd, 0,1) ; lcdPuts (fd,aux2);
				tempo += 0.5;
				usleep(500000);
		    	}
		}
		
}

void printLCD(MYSQL conexao, int fd){
	int i = 0, tempo;
	printf("%s \n %s \n", aux[0] ,aux[1]);
	if(strlen(aux[0])>16 || strlen(aux[1])>16){//se no coube na tela
        	scroll(fd, aux[0], aux[1]);//passa a mensagem na tela
	}
	else{
	    	lcdClear(fd);
	        lcdPosition (fd, 0,0) ; lcdPuts (fd,aux[0]);
	        lcdPosition (fd, 0,1) ; lcdPuts (fd,aux[1]);
	        sleep(15);
	}
    	//atualiza apra 0 onde era 1
    	sprintf(temp,"UPDATE tabela_embarcados SET STATUS = 0 where ID = %d",ID);
	mysql_query(&conexao, temp);
}

int busca(int fd){
    	MYSQL conexao;
    	MYSQL_RES *resp;
    	MYSQL_ROW linhas;
    	MYSQL_FIELD *campos;
    	char query[]="SELECT * FROM tabela_embarcados;";//tabela_embarcados  o nome da tabela
    	int i;
    	mysql_init(&conexao);
    	if (mysql_real_connect(&conexao,HOST,USER,PASS,DB,PORTA,NULL,0)){
    	    printf("Conectado com Sucesso!\n");
    	    if (mysql_query(&conexao,query))
    	        printf("Erro: %s\n",mysql_error(&conexao));
    	    else{
    	        resp = mysql_store_result(&conexao);//recebe a consulta
    	        if (resp){
    	            while ((linhas=mysql_fetch_row(resp)) != NULL){
    	                for (i=0; i<mysql_num_fields(resp); i++){
    	                    if(atoi(linhas[4])==1){
    	                        ID=atoi(linhas[0]);
    	                        aux[0]=linhas[2];
    	                        aux[1]=linhas[3];
    	                        printLCD(conexao, fd);
    	                        break;
    	                    }
    	                }
    	            }
    	        }
    	        mysql_free_result(resp);
    	    }
    	    mysql_close(&conexao);
    	}
    	else{
    	    printf("Conexao Falhou\n");
    	    if (mysql_errno(&conexao)){
    	        printf("Erro %d : %s\n", mysql_errno(&conexao), mysql_error(&conexao));
    	    }
    	}
	return 0;
}		
