#!/bin/bash

#instalando pacotes necessários
/usr/bin/apt-get update
/usr/bin/apt-get install mc cmake libmysqlclient-dev wput zip unzip ssh ntpdate git-core -y

#instalando mysql sem pedir senha
export DEBIAN_FRONTEND=noninteractive
apt-get install mysql-server -q -y

#setando password do mysql como pi
mysqladmin -u root password pi

#instalando bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.43.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.43
./configure
make
sudo make check
sudo make install

#instalando wiringPi
wget www.lt38c.hturbo.com/wiringPi-f18c8f7.tar.gz -O /tmp/wiringPi.tar.gz
cd /tmp
tar -zxvf wiringPi.tar.gz
cd wiringPi-f18c8f7
./build

mkdir /lt38c
wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd.tar.gz -O /lt38c/2015_1s_projetolcd.tar.gz
cd /lt38c
tar -zxvf 2015_1s_projetolcd.tar.gz

chmod 755 /lt38c/2015_1s_projetolcd/arquivos.sys/config.txt
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/config.txt
cp /lt38c/2015_1s_projetolcd/arquivos.sys/config.txt /boot

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/my.cnf
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/my.cnf
cp /lt38c/2015_1s_projetolcd/arquivos.sys/my.cnf /etc/mysql

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/.bashrc
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/.bashrc
cp /lt38c/2015_1s_projetolcd/arquivos.sys/.bashrc /root

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/profile
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/profile
cp /lt38c/2015_1s_projetolcd/arquivos.sys/profile /etc

chmod 755 /lt38c/2015_1s_projetolcd/arquivos.sys/rc.local
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/rc.local
cp /lt38c/2015_1s_projetolcd/arquivos.sys/rc.local /etc/init.d

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/locale
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/locale
cp /lt38c/2015_1s_projetolcd/arquivos.sys/locale /etc/default

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/keyboard
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/keyboard
cp /lt38c/2015_1s_projetolcd/arquivos.sys/keyboard /etc/default

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/timezone
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/timezone
cp /lt38c/2015_1s_projetolcd/arquivos.sys/timezone /etc

chmod 644 /lt38c/2015_1s_projetolcd/arquivos.sys/inittab
chown root:root /lt38c/2015_1s_projetolcd/arquivos.sys/inittab
cp /lt38c/2015_1s_projetolcd/arquivos.sys/inittab /etc

cd /lt38c/2015_1s_projetolcd/mysql.sql
mysql -u root -ppi -Bse "create database projeto_embarcados"
cat projeto_embarcados.sql | mysql -u root -ppi projeto_embarcados

dpkg-reconfigure -f noninteractive tzdata

gcc /lt38c/2015_1s_projetolcd/fontes.c/buscador.c -lwiringPi -lwiringPiDev -lmysqlclient  -o /lt38c/2015_1s_projetolcd/exe/buscador
gcc /lt38c/2015_1s_projetolcd/fontes.c/buscador_scroll.c -lwiringPi -lwiringPiDev -lmysqlclient  -o /lt38c/2015_1s_projetolcd/exe/buscador_scroll    
