#!/bin/bash

#instalando pacotes necessários
/usr/bin/apt-get update
/usr/bin/apt-get install mc cmake libmysqlclient-dev wput zip unzip ssh ntpdate git-core -y

#instalando mysql sem pedir senha
export DEBIAN_FRONTEND=noninteractive
apt-get install mysql-server -q -y

#setando password do mysql como pi
mysqladmin -u root password pi

#instalando bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.43.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.43
./configure
make
sudo make check
sudo make install

#instalando wiringPi
wget www.lt38c.hturbo.com/wiringPi-f18c8f7.tar.gz -O /tmp/wiringPi.tar.gz
cd /tmp
tar -zxvf wiringPi.tar.gz
cd wiringPi-f18c8f7
./build

#criando as pastas
mkdir /lt38c
mkdir /lt38c/2015_1s_projetolcd
mkdir /lt38c/2015_1s_projetolcd/arquivos.sys
mkdir /lt38c/2015_1s_projetolcd/fontes.c
mkdir /lt38c/2015_1s_projetolcd/maff_mht
mkdir /lt38c/2015_1s_projetolcd/mysql.sql
mkdir /lt38c/2015_1s_projetolcd/site
mkdir /lt38c/2015_1s_projetolcd/exe
mkdir /lt38c/2015_1s_projetolcd/history
mkdir /lt38c/2015_1s_projetolcd/videos

#baixando arquivos do sistema
wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/config.txt -O /tmp/config.txt
chmod 755 /tmp/config.txt
chown root:root /tmp/config.txt
cp /tmp/config.txt /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/config.txt /boot

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/.bashrc -O /tmp/.bashrc
chmod 644 /tmp/.bashrc
chown root:root /tmp/.bashrc
cp /tmp/.bashrc /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/.bashrc /root

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/my.cnf -O /tmp/my.cnf
chmod 644 /tmp/my.cnf
chown root:root /tmp/my.cnf
cp /lt38c/2015_1s_projetolcd/arquivos.sys/my.cnf /etc/mysql

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/profile -O /tmp/profile
chmod 644 /tmp/profile
chown root:root /tmp/profile
cp /tmp/profile /lt38c/2015_1s_projetolcd/arquivos.sys
cp /lt38c/2015_1s_projetolcd/arquivos.sys/profile /etc

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/rc.local -O /tmp/rc.local
chmod 755 /tmp/rc.local
chown root:root /tmp/rc.local
cp /tmp/rc.local /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/rc.local /etc/init.d

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/locale -O /tmp/locale
chmod 644 /tmp/locale
chown root:root /tmp/locale
cp /tmp/locale /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/locale /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/keyboard -O /tmp/keyboard
chmod 644 /tmp/keyboard
chown root:root /tmp/keyboard
cp /tmp/keyboard /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/keyboard /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/timezone -O /tmp/timezone
chmod 644 /tmp/timezone
chown root:root /tmp/timezone
cp /tmp/timezone /lt38c/2015_1s_projetolcd/arquivos.sys 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/timezone /etc

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/arquivos.sys/inittab -O /tmp/inittab
chmod 644 /tmp/inittab
chown root:root /tmp/inittab
cp /tmp/inittab /lt38c/2015_1s_projetolcd/arquivos.sys/inittab 
cp /lt38c/2015_1s_projetolcd/arquivos.sys/inittab /etc

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/fontes.c/buscador.c -O /tmp/buscador.c
cp /tmp/buscador.c /lt38c/2015_1s_projetolcd/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/fontes.c/buscador_scroll.c -O /tmp/buscador_scroll.c
cp /tmp/buscador.c /lt38c/2015_1s_projetolcd/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/mysql.sql/projeto_embarcados.sql -O /tmp/projeto_embarcados.sql
cp /tmp/projeto_embarcados.sql /lt38c/2015_1s_projetolcd/mysql.sql

wget www.lt38c.hturbo.com/Projetos/2015_1s_projetolcd/history/history -O /tmp/history
cp /tmp/history /lt38c/2015_1s_projetolcd/history

cd /lt38c/2015_1s_projetolcd/mysql.sql
mysql -u root -ppi -Bse "create database projeto_embarcados"
cat projeto_embarcados.sql | mysql -u root -ppi projeto_embarcados

dpkg-reconfigure -f noninteractive tzdata

gcc /lt38c/2015_1s_projetolcd/fontes.c/buscador.c -lwiringPi -lwiringPiDev -lmysqlclient  -o /lt38c/2015_1s_projetolcd/exe/buscador
gcc /lt38c/2015_1s_projetolcd/fontes.c/buscador_scroll.c -lwiringPi -lwiringPiDev -lmysqlclient  -o /lt38c/2015_1s_projetolcd/exe/buscador_scroll    
